{
        template: '${tmpl}',
        data: function() {
                return {
                        username: null,
                        password: null,
                        flag:false,
                        inpType: 'password'
                }
        },
        mounted: function() {

        },
        created: function() {

        },
        methods: {
                falgClick () {
                        console.log("asdasd");
                        this.flag = !this.flag;
                        if(this.flag){
                                this.inpType = "text";
                        }else{
                                this.inpType = "password";
                        };
                },
                goUser () {
                        this.$root.pushx({
                                title: "",
                                name: "/userlogin"
                        })
                },
                goForgot () {
                        this.$root.pushx({
                                title: "",
                                name: "/forgot"
                        })
                },
                goRegister () {
                        this.$root.pushx({
                                title: "",
                                name: "/registerphone"
                        })
                }
        },
        vname: "gsb-userlogin"
}
